﻿
/* Global CROWE theme related styles */

/* ========== GENERAL STYLES ========== */
@font-face {
    font-family: 'Nunito Sans';
    font-weight: 400;
    src: url('../../fonts/NunitoSans-Regular.ttf');
}

#dataForm {
    margin-top: 20px;
}

.text-dark-blue {
    color: #00275c;
}

.heading-margin-top {
    margin-top: 100px;
}

.text-bolder {
    font-weight: 600;
}

/* ========== BODY STYLES ========== */
body {
    padding-top: 60px;
    padding-bottom: 0;
    background-color: #f0f0f7;
    font-family: 'Nunito Sans', sans-serif;
    height: 100%; /* http://www.twoclock.com/independent-column-scrolling-bootstrap-tutorial/ */
    /*overflow: hidden;*/
}

/* reduce vertical space around page title */
div.page-header, div.page-header > h2 
{
    margin-top: 0;
    margin-bottom: 10px;
    padding-bottom: 0px;
}

div.page-header {
    border-bottom-color: #bbb;
                }
.page-header h2 > img {
    max-height: 52px;
    margin-right: 10px;

                      }
.page-header h2 {
    font-size: 24px;
    font-weight: 600;
    color: #0e1a35;
                }

.innerRegionDIV {
    /*border: 1px solid green;*/
    clear: both; /* if absent, the 1st row in inside table will distort (only if it uses float) */
                }
.innerRegionControlHeaderDIV {
    line-height: 45px;
    height: 45px;
                             }
.innerRegionControlFooterDIV {
    line-height: 45px;
    height: 45px;
                             }
.innerRegionControlWrapperDIV {
    margin-left: 5px;
                              }
.regionControlReloadBTN {
    display: inline-block;
    vertical-align: middle;
    margin-left: 3px;
    margin-top: 0px;
                        }
.pagingDIV {
    margin: 5px 5px;
    display: inline-block;
    vertical-align: middle;
    margin-top: 7px;
           }

/* used by dumpstr for total row counts in tables; cloned from .badge with changes */
.totalCount {
    display: inline-block;
    min-width: 10px;
    padding: 3px 1px;
    font-size: 12px;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    border-radius: 10px;
            }

div.panel-heading {
    padding-top: 5px;
    padding-bottom: 5px;
}

div.panel {
    background-color: #f5f5f5;
}

/* ========== NAVBAR ========== */
/*#navAvatar {*/
/*    /*background-color: #00204d;!1!*/
/*    padding-left: 50px;*/
/*           }*/
.navAvatarIMGHeader {
/*    position: absolute;*/
    width: 33px;
    height: 33px;
    border-radius: 50%;
    background: #27aae1;
/*    left: 10px;*/
/*    top: 14px;*/
}
.navAvatarIMG {
    width: 33px;
    height: 33px;
    border-radius: 50%;
    background: #27aae1;
}

.logo-separator {
    width: 1px;
    height: 48px;
    background-color: #98acb4;
    display: inline-block;
    margin-left: 15px;
    margin-right: 5px;
                }
.nav-icon {
    height: 16px;
    margin-right: 5px;
          }
.nav-icon24 {
    height: 24px;
    margin-right: 5px;
            }
.nav .svg rect, .nav .svg path, .nav .svg polygon {
    fill: white;
}
.no-page-heading {
    padding-top: 30px; 
                 }
.logout-li {
    /*background-color: #001838;*/
           }
.modal-header.bg-success {
    color: white;
}

/* ========== TABLES ========== */
.table-striped {
    color: #00275c;
}
.table-striped > tbody > tr:nth-child(odd) {
    background-color: #f3f3f3;
}
.table-striped > thead > tr > th{
    font-size: 16px;
    font-weight: 700;
    color: #00275c;
    padding-bottom: 15px;
    padding-top: 15px;
}

.table > thead > tr > th {
    font-size: 16px;
    font-weight: 700;
    color: #00275c;
    padding-bottom: 5px;
    padding-top: 5px;
    vertical-align: middle;
}

table > thead > tr > th {
    font-weight: bold;
    background-color: #F0F0F0;
}

.emptyList {
    background-color: #f5f5f5;
    text-align: center;
    vertical-align: middle;
}

/* http://stackoverflow.com/questions/23431970/bootstrap-3-truncate-long-text-inside-rows-of-a-table-in-a-responsive-way  */
.table td.text-ellipsis
{
    max-width: 150px;
}
.table td.text-ellipsis span {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: inline-block;
    max-width: 100%;
}

#empty-list {
    background-color: white;
    text-align: center;
    vertical-align: middle;
}

/* sortable table headers */
.orderedTH {
    font-weight: 900;
    text-decoration-line: underline; 
    background-color: lightyellow;
    cursor: pointer;
           }
.unorderedTH {
    cursor: pointer;
             }

/* ========== TOOLTIP ========== */

/* Styles for custom tooltip template */
.tooltip-icon {
    color: #27aae1;
    opacity: 0.5;
              }
.tooltip {
    z-index: 1101;
         }
.tooltip-custom {
    background-color: #27aae1;
    border-top: 1px solid white;
    max-width:300px;
                }
.tooltip-head {
    color: #fff;
    background: #00275c;
    padding: 10px 10px 5px;
    border-radius: 4px 4px 0 0;
    font-size: 12px;
    text-align: center;
    margin-bottom: -2px; /* Hide default tooltip rounded corner from top */
}
.tooltip-head h5 {
    margin: 0px 0px 5px 0px;
    font-size: 12px;
}

/* ========== FOOTER ========== */
/* Temporary usage */
footer {
    background-color: #D1E2EF;
}
#footer {
    padding: 20px 0;
    text-align: center;
    opacity: 0.5;
}
#footer, #footer a {
    color: #031d40;
    font-size: 13px;
    font-weight: 400;
    line-height: 1.2;
}
#footer ul {
    margin: 0;
    padding: 0;
}
#footer ul > li {
    display: inline-block;
    padding: 0 10px;
    border-right: 1px solid #031d40;
}
#footer ul > li:last-child {
    border:none;
}
/*===== LEGACY WIREFRAME CONTENT ===== */

.btn {
    border-radius: 0;
    border: none;
    background-image: none;
}

.btn:hover {
    border: none;
}
/*.btn-info {
	background-color: #00275c !important;
}
.btn-warning {
	background-color: #00275c !important;
}
.btn-success {
	background-color: #3498db !important;
}*/
.btn-blue {
    background-color: #3498db !important;
}
/*.btn-blue.questionAnswer {
	background-color: #00275c !important;
}*/
.btn-blue, .btn-dark {
    color: white;
}

.btn-blue:hover, .btn-blue.active:hover {
    background-color: #00275c !important;
    color: #fff;
}

.btn-blue.active {
    background-color: #00275c !important;
}

.btn-dark {
    background-color: #7a8ea8 !important;
}

.btn-dark:hover {
/*    background-color: #3498db !important;*/
    background-color: #00275c !important;
    color: #fff;
}

.bg-success {
    background-color: #7a8ea8;
}

.text-primary {
    color: #00275c;
}

/*.panel-primary {*/
/*    border-radius: 0;*/
/*    border-color: #d3d7e0;*/
/*}*/
/**/
/*/!1!*.panel-primary > .panel-heading {!1!*/
/*/*    background-color: #fac205;!1!*/
/*/*    border: none;!1!*/
/*/*    border-radius: 0;!1!*/
/*/*    color: #00275c;!1!*/
/*/*}!1!*/
/**/
/*.panel-success {*/
/*    border-radius: 0;*/
/*    border-color: #d3d7e0;*/
/*}*/
/**/
/*.panel-success > .panel-heading {*/
/*    background-color: #7a8ea8;*/
/*    border: none;*/
/*    border-radius: 0;*/
/*}*/

.glyphicon-exclamation-sign {
    color: #f9b800;
}

/* used for messages in: CustomerDashboard and ChatMessage list */
.message-item.unread {
    background-color: #f4f5f8;
}

.message-item {
    border-top: 1px solid #d3d7e0;
    padding: 15px;
}

.message-item .message-item-thumb {
    width: 20%;
    float: left;
    position: relative;
    text-align: center;
}

.message-item .message-item-thumb.line::after {
    position: absolute;
    content: "";
    width: 1px;
    height: 150%;
    bottom: -150%;
    left: 50%;
    background-color: #d3d7e0;
    z-index: 0;
}

.message-item .message-item-thumb.no-line::after {
    content: none;
}

.message-item .message-item-thumb img {
    max-width: 100%;
    margin-top: 5px;
    text-align: center;
}

.message-item .message-item-content {
    width: 80%;
    float: left;
    padding-left: 10px;
}

.message-item-content .name {
    font-size: 12px;
    line-height: 17px;
    color: #0e1a35;
    font-weight: 600;
}

.message-item-content .text {
    font-size: 12px;
    line-height: 17px;
    color: #0e1a35;
}

.message-item-content .name span {
    font-weight: 400;
    color: #8492af;
}

.message-item-content .buttons img {
    margin-right: 10px;
}

.message-item-content .time {
    font-size: 11px;
    line-height: 14px;
    color: #8492af;
    margin-top: 2px;
}

.message-item-content .time img {
    margin-right: 3px;
    width: 12px;
}

/* yellow-white tab headers with bottom triangle (used in CustomerDashboard and CustomerCompany) */

.nav-tabs {
    border-bottom: none;
}

.nav-tabs > li {
    margin-bottom: 0;
}

.nav-tabs > li.active > a, .nav-tabs > li.active > a:hover, .nav-tabs > li.active > a:focus {
    border: none;
    background-color: #ffffff;
    color: #00275c;
}

.nav-tabs > li > a {
    border: none;
    font-size: 17px;
    font-weight: 600;
    color: #00275c;
    border-radius: 0;
    margin-right: 10px;
}

.nav-tabs > li > a:hover {
    background-color: #ffffff;
}

.nav-tabs > li.active {
    position: relative;
}

.nav-tabs > li.active::after {
    position: absolute;
    content: " ";
    left: calc(50% - 11px);
    bottom: -11px;
    width: 22px;
    height: 11px;
    background-image: url('../icons/triangle.png');
    background-repeat: no-repeat;
    background-size: cover;
}